#include<stdio.h>
void main()
{
			char a,b;
			int BrojA, BrojB,i;
			printf("");
			scanf("%c%c",&a,&b);
			printf("");
			scanf("%d%d",&BrojA,&BrojB);
			
			
			if(BrojA==BrojB)
			{
				for(i=1;i<=BrojA;i++)
				{
					printf("%c%c",a,b);
				}
			}
			
			else
			{
				printf("Nemoguce");
			} 
			
			printf("\n");
			
}